### Method

# Gio Socket set_listen_backlog

since: 2.22

#### Declaration [src]

    void
    g_socket_set_listen_backlog (
      GSocket* socket,
      gint backlog
    )

#### Description [src]

Sets the maximum number of outstanding connections allowed when listening on this socket. If more clients than this are connecting to the socket and the application is not handling them on time then the new connections will be refused.

Note that this must be called before `g_socket_listen()` and has no effect if called after that.

Available since: 2.22

Sets property | `Gio.Socket:listen-backlog`

#### Parameters

`backlog`

  Type: `gint`

  The maximum number of pending connections.